Bug 837432 - Review Request: python-pkgwat-api - Python API for querying the fedora packages webapp
Review Request: python-pkgwat-api - Python API for querying the fedora packag...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 837689
  Show dependency treegraph
 
Reported: 2012-07-03 16:45 EDT by Ralph Bean
Modified: 2014-10-01 12:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 12:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-07-03 16:45:30 EDT
Spec URL: http://threebean.org/rpm/python-pkgwat-api.spec
SRPM URL: http://threebean.org/rpm/python-pkgwat-api-0.3-2.fc17.src.rpm
Description: Python API for pkgwat
http://pypi.python.org/pypi/pkgwat.cli
Fedora Account System Username: ralph


rpmlint output:
--- ~/rpmbuild » rpmlint {SPECS,SRPMS}/python-pkgwat-api* 
python-pkgwat-api.src: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
1 packages and 1 specfiles checked; 0 errors, 1 warnings.
--- ~/rpmbuild » rpmlint /var/lib/mock/fedora-17-x86_64/result/*.rpm
python3-python-pkgwat-api.noarch: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
python-pkgwat-api.noarch: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
python-pkgwat-api.src: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
3 packages and 0 specfiles checked; 0 errors, 3 warnings.


koji build - http://koji.fedoraproject.org/koji/taskinfo?taskID=4216899
Comment 1 Matthias Runge 2012-07-05 02:59:05 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python3-python-pkgwat-api-0.3-2.fc18.noarch.rpm

python3-python-pkgwat-api.noarch: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-pkgwat-api-0.3-2.fc18.noarch.rpm

python-pkgwat-api.noarch: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-pkgwat-api-0.3-2.fc18.src.rpm

python-pkgwat-api.src: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/837432/pkgwat.api-0.3.tar.gz :
  MD5SUM this package     : d37b7ca3614729d51934c4f152d54d60
  MD5SUM upstream package : d37b7ca3614729d51934c4f152d54d60

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python3-python-pkgwat-api-0.3-2.fc18.noarch.rpm

python3-python-pkgwat-api.noarch: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-pkgwat-api-0.3-2.fc18.noarch.rpm

python-pkgwat-api.noarch: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-pkgwat-api-0.3-2.fc18.src.rpm

python-pkgwat-api.src: W: spelling-error Summary(en_US) webapp -> web app, web-app, weapon
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Some minors:
- you should remove the bundled egg-info:

%prep
%setup -q -n %{modname}-%{version}
+ rm -rf pkgwat.api.egg-info

- why did you remove tests? Packaging guidelines encourage you to execute them during build.
Comment 2 Ralph Bean 2012-07-05 12:18:05 EDT
New release that removes the bundled egg-info.

Spec URL: http://threebean.org/rpm/python-pkgwat-api.spec
SRPM URL: http://threebean.org/rpm/python-pkgwat-api-0.3-3.fc17.src.rpm

I removed the tests because they require a network connection to actually query apps.fedoraproject.org/packages.  Koji doesn't allow that, and so the tests are guaranteed to fail in that environment.

They're really more "integration" tests than "unit" tests.
Comment 3 Matthias Runge 2012-07-05 14:16:47 EDT
Ah, I didn't knew those tests required network connection.

All issues cleared, package APPROVED.
Comment 4 Ralph Bean 2012-07-05 15:09:52 EDT
Awesome.  Thanks, Matthias!
Comment 5 Ralph Bean 2012-07-05 15:10:37 EDT
New Package SCM Request
=======================
Package Name: python-pkgwat-api
Short Description: Python API for querying the fedora packages webapp
Owners: ralph
Branches: f16 f17 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-07-05 15:26:03 EDT
Git done (by process-git-requests).
Comment 7 Ralph Bean 2012-07-06 12:58:00 EDT
In testing https://admin.fedoraproject.org/updates/python-pkgwat-api
Comment 8 Ralph Bean 2014-10-01 10:04:55 EDT
Package Change Request
======================
Package Name: python-pkgwat-api
New Branches: el6 epel7
Owners: ralph
Comment 9 Gwyn Ciesla 2014-10-01 12:56:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.